Package net.dona.doip.server

## Class DoipServerConfig

- java.lang.Object
- - net.dona.doip.server.DoipServerConfig

-     public class DoipServerConfig
      extends java.lang.Object

  Configuration for a `DoipServer`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DoipServerConfig.TlsConfig` | TLS configuration for a `DoipServer`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `backlog` | Backlog to be used for the TCP listener (defaults to 50).
    `java.lang.String` | `listenAddress` | IP address to which to bind the listener.
    `int` | `maxIdleTimeMillis` | Idle time in ms for an open DOIP connection while waiting for another request (defaults to 5 minutes).
    `int` | `numThreads` | Number of request-processing threads (defaults to 200).
    `int` | `port` | Port to which to bind the listener.
    `java.lang.String` | `processorClass` | Class name of a `DoipProcessor`, which will be automatically instantiated, initialized, and later shut down by a `DoipServer` when constructed using `DoipServer(DoipServerConfig)`.
    `com.google.gson.JsonObject` | `processorConfig` | JSON used to initialize an automatically constructed `DoipProcessor` (see {`processorClass`).
    `DoipServerConfig.TlsConfig` | `tlsConfig` | TLS configuration for a `DoipServer`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DoipServerConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listenAddress

          public java.lang.String listenAddress

      IP address to which to bind the listener.

    - #### port

          public int port

      Port to which to bind the listener.

    - #### backlog

          public int backlog

      Backlog to be used for the TCP listener (defaults to 50).

    - #### maxIdleTimeMillis

          public int maxIdleTimeMillis

      Idle time in ms for an open DOIP connection while waiting for another request (defaults to 5 minutes).

    - #### numThreads

          public int numThreads

      Number of request-processing threads (defaults to 200).

    - #### processorClass

          public java.lang.String processorClass

      Class name of a `DoipProcessor`, which will be automatically instantiated, initialized, and later shut down by a `DoipServer` when constructed using `DoipServer(DoipServerConfig)`.

    - #### processorConfig

          public com.google.gson.JsonObject processorConfig

      JSON used to initialize an automatically constructed `DoipProcessor` (see {`processorClass`).

    - #### tlsConfig

          public DoipServerConfig.TlsConfig tlsConfig

      TLS configuration for a `DoipServer`.

  - ### Constructor Detail

    - #### DoipServerConfig

          public DoipServerConfig()

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`